from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.presentation import XSlideShowListener

@runtime_checkable
class XSlideShowNavigationListener(XSlideShowListener, Protocol):
    def contextMenuShow(self, point: Point) -> None: ...
